---
title: "Event"
source: /gcxone/api/event
locale: en
updated: 2026-09-04
---
Operations on event resources. 4 endpoints, each relative to `https://api.nxgen.cloud/api/v1` and authenticated as described under [Authentication](/gcxone/api/authentication).

## POST /event

Get streaming endpoints

### Request body

Event Push

```json
[
  {
    "cameraNumber": "number (required)",
    "dateTime": "string",
    "serverTimeStamp": "string",
    "sourceDeviceUniqueIdentifier": "string (required)",
    "eventCode": "string (required)",
    "alarmState": "boolean",
    "mediaContents": {
      "imageDetails": [
        {
          "imageBuffer": "…"
        }
      ]
    }
  }
]
```

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | No Content |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |

## POST /event/eventIngest

Get streaming endpoints

### Request body

Event Push

```json
[
  {
    "cameraNumber": "number (required)",
    "dateTime": "string",
    "serverTimeStamp": "string",
    "sourceDeviceUniqueIdentifier": "string (required)",
    "eventCode": "string (required)",
    "alarmState": "boolean",
    "mediaContents": {
      "imageDetails": [
        {
          "imageBuffer": "…"
        }
      ]
    }
  }
]
```

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | No Content |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |

## GET /event/{id}/streamingEndpoints

Get streaming endpoints

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | yes | Event id |
| preStart | query | number | no | In milli seconds |
| postEnd | query | number | no | In milli seconds |
| expiry | query | number | no | In seconds |

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | No Content |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |

## GET /event/{id}/true

get event

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | yes |  |

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | No Content |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |